%global momorel 1

Summary: A program that ejects removable media using software control.
Name: eject
Version: 2.1.5
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
#Source: http://www.ibiblio.org/pub/Linux/utils/disk-management/%{name}-%{version}.tar.gz
Source0: http://ca.geocities.com/jefftranter@rogers.com/%{name}-%{version}.tar.gz
Source1: eject.pam
Patch1: eject-2.1.1-verbose.patch
Patch2: eject-timeout.patch
Patch3: eject-2.1.5-opendevice.patch
Patch4: eject-2.1.5-spaces.patch
URL: http://ca.geocities.com/jefftranter@rogers.com/eject.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl
BuildRequires: gettext
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
NoSource: 0

%description
The eject program allows the user to eject removable media (typically
CD-ROMs, floppy disks or Iomega Jaz or Zip disks) using software
control. Eject can also control some multi-disk CD changers and even
some devices' auto-eject features.

Install eject if you'd like to eject removable media using software
control.

%prep
%setup -q -n %{name}

%patch1 -p1 -b .versbose
%patch2 -p1 -b .timeout
%patch3 -p0 -b .opendevice
%patch4 -p0 -b .spaces


%build
%configure
make RPM_OPT_FLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{buildroot}/usr install

# pam stuff
install -m 755 -d %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/pam.d/%{name}

install -m 755 -d %{buildroot}/%{_sysconfdir}/security/console.apps/
echo "FALLBACK=true" > %{buildroot}/%{_sysconfdir}/security/console.apps/%{name}

install -m 755 -d %{buildroot}/%{_sbindir}
pushd %{buildroot}/%{_bindir}
mv eject ../sbin
ln -s consolehelper eject
popd

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PORTING PROBLEMS README TODO
%attr(644,root,root) %{_sysconfdir}/security/console.apps/*
%attr(644,root,root) %{_sysconfdir}/pam.d/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*

%ChangeLog
* Mon Apr 23 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.1.5-1m)
- up to 2.1.5
- import patches from Fedora Core
 - eject-timeout.patch
 - eject-2.1.5-opendevice.patch
 - eject-2.1.5-spaces.patch

* Wed Dec 28 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.1.4-1m)
- up to 2.1.4

* Sat Dec 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.13-2m)
- import patches from Fedora Core
 - eject-2.0.13-scsi.patch
  +* Wed Dec 01 2004 Than Ngo <than@redhat.com> 2.0.13-13
  +- add patch to remove deprecated SCSI ioctl
 - eject-2.0.13-BLKRRPART.patch
  +* Tue Nov 02 2004 Than Ngo <than@redhat.com> 2.0.13-11
  +- fix Invalid argument error, bug #131959
 - eject-2.0.13-finddev.patch
  +* Tue Sep 07 2004 Than Ngo <than@redhat.com> 2.0.13-10
  +- Added patch to find name in /media
 - eject-2.0.13-use-mountpoints.patch
  +* Thu Jun 24 2004 Alan Cox <alan@redhat.com>
  +- Added Chris Woods patches as requested by Al Viro to handle modern
  +  namespace mounting and unmount by mount point not device
 - eject-2.0.13-header.patch
  +* Wed Feb 25 2004 Than Ngo <than@redhat.com> 2.0.13-5
  +- don't use kernel headers directly, #116613

* Mon Dec 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.13-1m)
- update to 2.0.13
- import autoclose patch from redhat-8.0(eject-2.0.12-7)

* Tue Dec 04 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.12-4k)
- correct charset

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (2.0.12-2k)
- version up.

* Sun Jun  3 2001 Toru Hoshina <toru@df-usa.com>
- 2.0.9.

* Wed May 23 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- Up to 2.0.8
- From this version, eject can set CD-ROM max speed

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Apr 06 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.0.2-4).

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- solved a lot of problems by finding eject 2.0.2. :)

* Tue Feb 09 1999 Preston Brown <pbrown@redhat.com>
- patch to improve symlink handling folded into linux-2.2 patch

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jul 15 1998 Donnie Barnes <djb@redhat.com>
- added small patch to 1.5 for longer device names

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 1.5
- various spec file clean ups
- eject rocks!

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
